package com.liquidnet.common.third.zxlnft.dto.wallet;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: SM3HashReq
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:41
 */
@Data
public class SM3HashReq  implements Serializable {
    private static final long serialVersionUID = 2631526855886679279L;
    /**
     * 文件byte数组
     */
    private byte[] data;

    private static final SM3HashReq obj = new SM3HashReq();
    public static SM3HashReq getNew() {
        try {
            return (SM3HashReq) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new SM3HashReq();
        }
    }
}
